<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_g"></a>- g -</h3><ul>
<li>Game()
: <a class="el" href="classGame.html#ad59df6562a58a614fda24622d3715b65">Game</a>
</li>
<li>gameID()
: <a class="el" href="classGame.html#ac28e4514efb0379adc99bbf1e4e1997b">Game</a>
</li>
<li>gameId()
: <a class="el" href="classGameStateService.html#ab863ee6c2cf6f575b1e7efd37ffc5130">GameStateService</a>
</li>
<li>gamePhase()
: <a class="el" href="classGame.html#a6a9fe4953f94562d5d6d2aae75935a46">Game</a>
</li>
<li>gameStateChanged()
: <a class="el" href="classGameStateService.html#a6f9e21cf229558b2e6bf4d1b8387e1e5">GameStateService</a>
</li>
<li>GameStateService()
: <a class="el" href="classGameStateService.html#afe7ace63d568f4793becce8bf7878cee">GameStateService</a>
</li>
<li>GeneratorException()
: <a class="el" href="classCatch_1_1GeneratorException.html#a3cf9282d555ec32389665ce723bf36ea">Catch::GeneratorException</a>
</li>
<li>Generators()
: <a class="el" href="classCatch_1_1Generators_1_1Generators.html#a2bcb50c42a8729cbac079b3b61699a61">Catch::Generators::Generators&lt; T &gt;</a>
</li>
<li>GeneratorUntypedBase()
: <a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#a00ff0179d739c3016756b6cf56fabbad">Catch::Generators::GeneratorUntypedBase</a>
</li>
<li>GeneratorWrapper()
: <a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html#aecffeafd4fd38d91a52dadf28b6e2b29">Catch::Generators::GeneratorWrapper&lt; T &gt;</a>
</li>
<li>get()
: <a class="el" href="classCatch_1_1Generators_1_1ChunkGenerator.html#aa41c7d08a165b6a18560f2ab9e977f0b">Catch::Generators::ChunkGenerator&lt; T &gt;</a>
, <a class="el" href="classCatch_1_1Generators_1_1FilterGenerator.html#ab30e81b61a77430661d40f814758f6fe">Catch::Generators::FilterGenerator&lt; T, Predicate &gt;</a>
, <a class="el" href="classCatch_1_1Generators_1_1FixedValuesGenerator.html#ad2ea8c959c600386bcc4b2656b40d33e">Catch::Generators::FixedValuesGenerator&lt; T &gt;</a>
, <a class="el" href="classCatch_1_1Generators_1_1Generators.html#a66705482b7efa88cae6e6b7062d5de6a">Catch::Generators::Generators&lt; T &gt;</a>
, <a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html#a271f0f905f2c473c907550435b81e102">Catch::Generators::GeneratorWrapper&lt; T &gt;</a>
, <a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#a525d381fc9249a885b075a0632a8579a">Catch::Generators::IGenerator&lt; T &gt;</a>
, <a class="el" href="classCatch_1_1Generators_1_1IteratorGenerator.html#a61688118e5caba23340b4b949c3bb7e4">Catch::Generators::IteratorGenerator&lt; T &gt;</a>
, <a class="el" href="classCatch_1_1Generators_1_1MapGenerator.html#a199d377afba00519f202c59b4b488235">Catch::Generators::MapGenerator&lt; T, U, Func &gt;</a>
, <a class="el" href="classCatch_1_1Generators_1_1RandomFloatingGenerator.html#a0dea6fa1f9e2647df022f0b588cf0a8f">Catch::Generators::RandomFloatingGenerator&lt; Float &gt;</a>
, <a class="el" href="classCatch_1_1Generators_1_1RandomIntegerGenerator.html#aafbdf9028762f5e8f8ca9c317d686fca">Catch::Generators::RandomIntegerGenerator&lt; Integer &gt;</a>
, <a class="el" href="classCatch_1_1Generators_1_1RangeGenerator.html#a2639173bb9f06ba353314cd226fcefec">Catch::Generators::RangeGenerator&lt; T &gt;</a>
, <a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html#a43bd573274c9a0cd7f4406a3d0d36d49">Catch::Generators::RepeatGenerator&lt; T &gt;</a>
, <a class="el" href="classCatch_1_1Generators_1_1SingleValueGenerator.html#a5142058c52131a2471e7307972f99b50">Catch::Generators::SingleValueGenerator&lt; T &gt;</a>
, <a class="el" href="classCatch_1_1Generators_1_1TakeGenerator.html#aa4d2560f2066ec2eb4a351d62c107c78">Catch::Generators::TakeGenerator&lt; T &gt;</a>
, <a class="el" href="classCatch_1_1ReusableStringStream.html#a6881808c60a080d4e24a0b81c94cbf67">Catch::ReusableStringStream</a>
</li>
<li>getAllTests()
: <a class="el" href="structCatch_1_1ITestCaseRegistry.html#ad6e4d4a621655123f73ae98cfeda063d">Catch::ITestCaseRegistry</a>
</li>
<li>getAllTestsSorted()
: <a class="el" href="structCatch_1_1ITestCaseRegistry.html#a33e46639d0319d35497c05bb5d02be5a">Catch::ITestCaseRegistry</a>
</li>
<li>getBody()
: <a class="el" href="classRequest.html#ae773f518204df6572162d99ac2dba7db">Request</a>
</li>
<li>getCardId()
: <a class="el" href="classCardWidget.html#a6b35ac3269d57685078de65479c03db0">CardWidget</a>
</li>
<li>getConfig()
: <a class="el" href="structCatch_1_1IContext.html#a72a2718232adea8925fec9e71d3efd75">Catch::IContext</a>
</li>
<li>getCurrentTestName()
: <a class="el" href="structCatch_1_1IResultCapture.html#aea1617f4a84cc648246aa3ed6918b5bf">Catch::IResultCapture</a>
</li>
<li>getElapsedMicroseconds()
: <a class="el" href="classCatch_1_1Timer.html#a545de17a61a6fee1dbe3de5b0723e5fa">Catch::Timer</a>
</li>
<li>getElapsedMilliseconds()
: <a class="el" href="classCatch_1_1Timer.html#a30aaf458dbb59dd8ac8971c9c62e0eac">Catch::Timer</a>
</li>
<li>getElapsedNanoseconds()
: <a class="el" href="classCatch_1_1Timer.html#a57be5d17ca868a2d6fb1eea84de665cf">Catch::Timer</a>
</li>
<li>getElapsedSeconds()
: <a class="el" href="classCatch_1_1Timer.html#a065e37e3c9eb16bd4dcf41971d8deedc">Catch::Timer</a>
</li>
<li>getExceptionTranslatorRegistry()
: <a class="el" href="structCatch_1_1IRegistryHub.html#a48347c170d9c583af73027a27b2f0bd4">Catch::IRegistryHub</a>
</li>
<li>getGenerator()
: <a class="el" href="structCatch_1_1IGeneratorTracker.html#a23be942fc51672598bfa02c678c3078a">Catch::IGeneratorTracker</a>
</li>
<li>getInstance()
: <a class="el" href="classGameStateService.html#af20dc709a18caf26f309e3c322beb631">GameStateService</a>
, <a class="el" href="classSettingsService.html#a53e5dced83d37fac8dcbcb04a0446f56">SettingsService</a>
</li>
<li>getLastResult()
: <a class="el" href="structCatch_1_1IResultCapture.html#ab18872c89fab97405a56e9c6a4919736">Catch::IResultCapture</a>
</li>
<li>getMethod()
: <a class="el" href="classRequestHeader.html#a64f50bc9d7cb3fb39d23f4c987e7eb57">RequestHeader</a>
</li>
<li>getMutableEnumValuesRegistry()
: <a class="el" href="structCatch_1_1IMutableRegistryHub.html#ab91c4fd63eeb0efd9bfb270e8bbd231d">Catch::IMutableRegistryHub</a>
</li>
<li>getPath()
: <a class="el" href="classRequestHeader.html#a8a423256d67ad4d3af3515bca5d06219">RequestHeader</a>
</li>
<li>getReporterRegistry()
: <a class="el" href="structCatch_1_1IRegistryHub.html#a55534563f7ecf7e20ec1e37285ebe54d">Catch::IRegistryHub</a>
</li>
<li>getResult()
: <a class="el" href="structCatch_1_1ITransientExpression.html#a101c7db86c87eff93a8ff496720e6320">Catch::ITransientExpression</a>
</li>
<li>getResultCapture()
: <a class="el" href="structCatch_1_1IContext.html#a684e4ae71d1fdf3060c352ecde1d122f">Catch::IContext</a>
</li>
<li>getRunner()
: <a class="el" href="structCatch_1_1IContext.html#af088415dde18d039ed5a2f95b02767c6">Catch::IContext</a>
</li>
<li>getSectionsToRun()
: <a class="el" href="structCatch_1_1IConfig.html#afc801995e115557f90e41f3d6e96908d">Catch::IConfig</a>
</li>
<li>getSocketFd()
: <a class="el" href="classRequest.html#a4406da47b6d4108dbb172cec782a06de">Request</a>
</li>
<li>getStartupExceptionRegistry()
: <a class="el" href="structCatch_1_1IRegistryHub.html#a00281210628e6c616aca1d3e0d84db04">Catch::IRegistryHub</a>
</li>
<li>getTagAliasRegistry()
: <a class="el" href="structCatch_1_1IRegistryHub.html#a3c511b1d33e5a6d95c333a0ff387df1a">Catch::IRegistryHub</a>
</li>
<li>getTestCaseInfo()
: <a class="el" href="classCatch_1_1TestCase.html#a1ea0d79f49156cebea076fe1ba50d2b6">Catch::TestCase</a>
</li>
<li>getTestCaseRegistry()
: <a class="el" href="structCatch_1_1IRegistryHub.html#af4f6255f0c0f8f1f179fa9d7d4843076">Catch::IRegistryHub</a>
</li>
<li>getTestsOrTags()
: <a class="el" href="structCatch_1_1IConfig.html#a1b8a299344a493eb98c12faae48421d7">Catch::IConfig</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
